/*---------------------------------------------------------------------------*/
/**
  @file		serial-nonblockread.c
  @brief	Using nonblock mode to read data from serial

  It uses nonblock mode reading data from serial port 2.

  History:
  Date		Author			Comment
  10-11-2005	AceLan Kao.		Create it.

  @author AceLan Kao.(acelan_kao@moxa.com.tw)
 */
/*---------------------------------------------------------------------------*/

#include <stdio.h>
#include "serial.h"

int main( int argc, char* argv[])
{
	int port= PORT1;
	int speed= 38400;
	char str[ 80];
	int len;

	if( argc >= 2)
		port= atoi( argv[ 1])- 1;
	if( argc >= 3)
		speed= atoi( argv[ 2]);

	printf("Open port%d, speed= %d\n", port+ 1, speed);
	SerialOpen( port);
	SerialSetSpeed( port, speed);

	while( 1)
	{
		if( SerialDataInInputQueue( port) <= 1)
			continue;

		len= SerialNonBlockRead( port, str, 80);
		printf("%d - %s\n", len, str);
	}
	return 0;
}
